#ifndef FILESYSTEM_H
#define FILESYSTEM_H

#include <QCryptographicHash>
#include <QDir>

class FileSystem
{
    // Static class, which gives some extra functions for files/folders manipulation
private:
    FileSystem() = default;
public:
    static bool fileExists(QString path);
    static QString fileHash(const QString &fileName, QCryptographicHash::Algorithm hashAlgorithm);
    static void clearFolder(QDir &dir);
};

#endif // FILESYSTEM_H
